# Explainbench: An Open-Source Toolkit for Interpretable Machine Learning

**Explainbench** is a Python toolkit that makes powerful ML interpretability techniques like SHAP, LIME, counterfactuals, and global surrogate models accessible and usable — especially for high-stakes, public-sector applications.

## Features

- **Unified Interface** for SHAP, LIME, and DiCE
- **Fairness & Explainability Metrics** (Disparate Impact, Fidelity, Consistency)
- **Preloaded Datasets** (COMPAS, Adult Income, etc.)
- **Interactive Visualizations** with Streamlit and Plotly
- **Notebook Examples** for quick understanding and classroom use

## Why It Matters

As ML systems are increasingly used in criminal justice, healthcare, and finance, it's crucial that we can explain, audit, and challenge their decisions. `Explainbench` provides transparent tools for evaluating black-box models in real-world, socially relevant contexts.

## Installation

```bash
pip install explainbench
